Bug 27416 - String 'Modify tag' in breadcrumb is untranslatable
Summary: String 'Modify tag' in breadcrumb is untranslatable
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-12 17:35 UTC by Caroline Cyr La Rose
Modified: 2021-01-25 13:59 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.03


Attachments
Bug 27416: Make "Modify tag" and "Add tag" translatable (3.85 KB, patch)
2021-01-13 10:12 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 27416: Make "Modify tag" and "Add tag" translatable (3.91 KB, patch)
2021-01-13 11:29 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27416: Make "Modify tag" and "Add tag" translatable (3.97 KB, patch)
2021-01-13 12:24 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Caroline Cyr La Rose 2021-01-12 17:35:51 UTC
I can't find the string to translate de 'Modify tag' in the breadcrumbs in marctagstructure.pl

To go there:
1- Go to Administration > MARC bibliographic framework
2- Next to any framework, click Actions > MARC structure
3- Next to any MARC field, click Actions > Edit tag

In the breadcrumbs, you should have Home › Administration › MARC frameworks › <some framework> framework › Modify tag <some tag number> 

If I go in fr-CA-staff-prog.po, the only instance of Modify tag that I find for marctagstructure.tt is

 7508 #. %1$s:  IF ( use_heading_flags_p ) 
 7509 #. %2$s:  IF ( heading_modify_tag_p ) 
 7510 #: koha-tmpl/intranet-tmpl/prog/en/modules/admin/marctagstructure.tt:52
 7511 #, c-format
 7512 msgid "%s%sModify tag "
 7513 msgstr "%s%sModifier la zone "

But I think that is the heading of the form, not the breadcrumbs.

There is a breadcrumb string, but it's for auth_tag_tructure.tt

34408 #. %1$s:  IF ( add_form )
34409 #. %2$s:  IF ( use_heading_flags_p ) 
34410 #. %3$s:  IF ( heading_modify_tag_p ) 
34411 #. %4$s:  IF ( authtypecode ) 
34412 #. %5$s:  authtypecode | html 
34413 #. %6$s:  ELSE 
34414 #. %7$s:  END 
34415 #. %8$s:  END 
34416 #. %9$s:  IF ( heading_add_tag_p ) 
34417 #. %10$s:  IF ( authtypecode ) 
34418 #. %11$s:  authtypecode | html 
34419 #. %12$s:  ELSE 
34420 #. %13$s:  END 
34421 #. %14$s:  END 
34422 #. %15$s:  ELSE 
34423 #. %16$s:  action | html 
34424 #. %17$s:  END 
34425 #. %18$s:  END 
34426 #. %19$s:  IF ( delete_confirm ) 
34427 #. %20$s:  IF ( authtypecode ) 
34428 #. %21$s:  authtypecode | html 
34429 #. %22$s:  ELSE 
34430 #. %23$s:  END 
34431 #. %24$s:  END 
34432 #. %25$s:  IF ( delete_confirmed ) 
34433 #. %26$s:  IF ( authtypecode ) 
34434 #. %27$s:  authtypecode | html 
34435 #. %28$s:  ELSE 
34436 #. %29$s:  END 
34437 #. %30$s:  END 
34438 #: koha-tmpl/intranet-tmpl/prog/en/modules/admin/auth_tag_structure.tt:6
34439 #, c-format
34440 msgid ""
34441 "Koha &rsaquo; Administration &rsaquo; Authority MARC framework %s%s "
34442 "%s&rsaquo; %s%s Framework%sDefault framework%s &rsaquo; Modify tag%s "
34443 "%s&rsaquo; %s%s Framework%sDefault framework%s &rsaquo; New tag%s %s&rsaquo; "
34444 "%s%s%s%s&rsaquo; %s%s Framework%sDefault framework%s &rsaquo; Confirm "
34445 "deletion%s%s&rsaquo; %s%s Framework%sDefault framework%s &rsaquo; Data "
34446 "deleted%s"
34447 msgstr ""
34448 "Koha &rsaquo; Administration &rsaquo; Grilles d'autorité MARC%s%s %s&rsaquo; "
34449 "%s%s Grille %s Grille par défaut%s &rsaquo; Modifier la zone%s %s&rsaquo; %s"
34450 "%s Grille %s Grille par défaut%s &rsaquo; Nouvelle zone %s %s&rsaquo; %s%s%s"
34451 "%s&rsaquo; %s%s Grille %sGrille par défaut%s &rsaquo; Confirmer la "
34452 "suppression%s%s&rsaquo; %s%s Grille %sGrille par défaut%s &rsaquo; Donnée "
34453 "supprimée%s"

or maybe this one (again in auth_tag_structure.tt)

 4123 #. %1$s:  END 
 4124 #. %2$s:  END 
 4125 #. %3$s:  IF ( heading_add_tag_p ) 
 4126 #. %4$s:  IF ( authtypecode ) 
 4127 #: koha-tmpl/intranet-tmpl/prog/en/modules/admin/auth_tag_structure.tt:24
 4128 #, c-format
 4129 msgid "%s &rsaquo; Modify tag %s %s %s"
 4130 msgstr "%s &rsaquo; Modifier la zone %s %s %s"
Comment 1 Jonathan Druart 2021-01-13 10:12:46 UTC
Created attachment 115106 [details] [review]
Bug 27416: Make "Modify tag" and "Add tag" translatable

Those two strings are not translatable as they are passed from the
controller.
Comment 2 Owen Leonard 2021-01-13 11:29:14 UTC
Created attachment 115111 [details] [review]
Bug 27416: Make "Modify tag" and "Add tag" translatable

Those two strings are not translatable as they are passed from the
controller.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Nick Clemens 2021-01-13 12:24:47 UTC
Created attachment 115112 [details] [review]
Bug 27416: Make "Modify tag" and "Add tag" translatable

Those two strings are not translatable as they are passed from the
controller.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Jonathan Druart 2021-01-13 16:20:04 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 5 Fridolin Somers 2021-01-25 13:59:49 UTC
Pushed to 20.11.x for 20.11.03